/****************************************************************************
**
** Copyright (C) 1992-2004 Trolltech AS. All rights reserved.
**
** This file is part of the style module of the Qt Toolkit.
**
** Licensees holding valid Qt Preview licenses may use this file in
** accordance with the Qt Preview License Agreement provided with the
** Software.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
** information about Qt Commercial License Agreements.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <qplatinumstyle.h>
#include <qstyleplugin.h>

class PlatinumStyle : public QStylePlugin
{
public:
    PlatinumStyle();

    QStringList keys() const;
    QStyle *create(const QString&);
};

PlatinumStyle::PlatinumStyle()
: QStylePlugin()
{
}

QStringList PlatinumStyle::keys() const
{
    QStringList list;
    list << "Platinum";
    return list;
}

QStyle* PlatinumStyle::create(const QString& s)
{
    if (s.toLower() == "platinum")
        return new QPlatinumStyle();

    return 0;
}


Q_EXPORT_PLUGIN(PlatinumStyle)
